%define gtk2_version 2.2.0
%define po_package gtksourceview-1.0

Summary: A library for viewing source files
Name: gtksourceview
Version: 1.1.0
Release: 3
License: LGPL
Group: System Environment/Libraries
URL: http://www.gnome.org/softwaremap/projects/gtksourceview/ 
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gnome-vfs2-devel
BuildRequires: libxml2-devel
BuildRequires: intltool
BuildRequires: gtk-doc
BuildRequires: gtk2-devel
BuildRequires: libgnomeprint22-devel >= 2.7.1
BuildRequires: libgnomeprintui22-devel >= 2.7.1
BuildRequires: gettext 

# Patch from CVS to fix problem where syntax-highlighted
# files got extra blank lines when printing
Patch1: gtksourceview-1.1.0-linespace.patch
# A gtk change made a latent bug in gtksourceview visible,
# which gets fixed by this patch
Patch2: gtksourceview-1.1.0-backspace.patch

%description
A library for viewing source code files with.


%package devel
Summary: Files to compile applications that use gtksourceview
Group: Development/Libraries
Requires: %name = %{version}
Requires: gtk2-devel >= %{gtk2_version}, libxml2-devel, libgnomeprint22-devel

%description devel
gtksourceview-devel contains the files required to compile applications against the gtksourceview libraries.

%prep
%setup -q

%patch1 -p0 -b .linespace
%patch2 -p1 -b .backspace

%build

%configure 

make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#remove unwanted packages
rm -f $RPM_BUILD_ROOT%{_libdir}/*{.a,.la}

%find_lang %{po_package}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{po_package}.lang
%defattr(-,root,root,-)
%doc
%{_datadir}/gtksourceview-1.0
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/gtksourceview-1.0
%{_datadir}/gtk-doc/html/gtksourceview
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%changelog

* Mon Sep 20 2004 Matthias Clasen <mclasen@redhat.com> - 1.1.0-3
- Fix problem with backspace to delete partial characters

* Mon Aug 16 2004 Owen Taylor <otaylor@redhat.com> - 1.1.0-2
- Fix problem with extra blank lines when printing

* Tue Aug  3 2004 Owen Taylor <otaylor@redhat.com> - 1.1.0-1
- Update to 1.1.0
- Remove re-auto-ification which should no longer be necessary

* Sat Jul 31 2004 Dan Williams <dcbw@redhat.com>
- Update to 1.0.1

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Apr 10 2004 Warren Togami <wtogami@redhat.com> 1.0.0-2
- BR gnome-vfs2-devel libxml2-devel intltool gtk-doc gtk2-devel libgnomeprint22-devel 
  libgnomeprintui22-devel gettext

* Fri Apr  2 2004 Alex Larsson <alexl@redhat.com> 1.0.0-1
- update to 1.0.0

* Wed Mar 24 2004 Jens Petersen <petersen@redhat.com> - 0.9.2-2
- make -devel require libxml2-devel and libgnomeprint22-devel

* Wed Mar 10 2004 Alex Larsson <alexl@redhat.com> 0.9.2-1
- update to 0.9.2

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 0.9.1-1
- update to 0.9.1

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 28 2004 Alexander Larsson <alexl@redhat.com> 0.8.0-1
- update to 0.8.0

* Tue Aug 26 2003 Jonathan Blandford <jrb@redhat.com>
- new version

* Mon Aug 25 2003 Jonathan Blandford <jrb@redhat.com>
- try removing the libtool line

* Fri Aug 22 2003 Jonathan Blandford <jrb@redhat.com>
- Libtool fix

* Fri Aug 15 2003 Jonathan Blandford <jrb@redhat.com> 
- Initial build.


